<script setup>
import {
	onMounted
} from "vue";
import {
	onLoad,
	onShow,
	onLaunch
} from '@dcloudio/uni-app'
import {
	updateRoute
} from "@/hooks/useRoute";
import useGlobalStore from "@/stores/use-global-store";

const globalStore = useGlobalStore()
onLoad((options) => {
	updateRoute();
})
onShow((options) => {
	updateRoute();
})
onLaunch((options) => {
	updateRoute();
})

onMounted(() => {
	const sysInfo = uni.getSystemInfoSync();
	globalStore.setBarHeight(sysInfo.statusBarHeight);
});
</script>

<style>
/*每个页面公共css */
</style>

<style lang="scss">
/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
@import "uview-plus/index.scss";
@import "@/static/scss/global/global.scss";
@import "/static/scss/style.scss";

:deep(.u-toolbar__wrapper__confirm) {
	font-size: 20px !important;
}

:deep(.u-toolbar__wrapper__cancel) {
	font-size: 20px !important;
}

.page {
	/* padding: 31px 31px 110px 31px; */
	box-sizing: border-box;
	/* background: var(--main-bg); */
}

html {
	font-size: 32px !important;
}

uni-page-body {
	height: 100%;
}
</style>